"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RabbitModuleOptions = void 0;
class RabbitModuleOptions {
    constructor(uri, exchanges = undefined, connectionInitOptions = undefined, prefetchCount) {
        this.uri = '';
        this.uri = uri;
        this.exchanges = this.getExchanges(exchanges);
        this.connectionInitOptions = connectionInitOptions;
        this.prefetchCount = prefetchCount;
    }
    getExchanges(exchanges) {
        if (!exchanges) {
            return;
        }
        return exchanges.map(exchange => {
            return {
                name: exchange,
                type: 'fanout',
                options: {},
            };
        });
    }
}
exports.RabbitModuleOptions = RabbitModuleOptions;
//# sourceMappingURL=options.js.map