import { DynamicModule } from '@nestjs/common';
import { RabbitModuleAsyncOptions, OptionsInterface, RabbitModuleOptions } from './entities';
import { SwappableSettingsStorageInterface, SwappableSettingsAsyncOptions } from '@multiversx/sdk-nestjs-common';
export declare class RabbitModule {
    static forRoot(rabbitOptions: RabbitModuleOptions, rabbitStorageSettings?: SwappableSettingsStorageInterface, auxOptions?: OptionsInterface): DynamicModule;
    static forRootAsync(rabbitAsyncOptions: RabbitModuleAsyncOptions, rabbitAsyncStorageSettings?: SwappableSettingsAsyncOptions, auxOptions?: OptionsInterface): DynamicModule;
}
